Accept a repository invitation
curl --request POST \
--url https://api.diversion.dev/v0/repos/{repo_id}/invites/{invite_id}/accept \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.diversion.dev/v0/repos/{repo_id}/invites/{invite_id}/accept"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.diversion.dev/v0/repos/{repo_id}/invites/{invite_id}/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}{
"status": 123,
"detail": "<string>",
"title": "<string>",
"type": "<string>"
}Collaborators
Accept a repository invitation
Accepts a repository collaboration invitation, granting the user access with the specified mode (READ, WRITE, ADMIN).
Behavior:
- If the repository belongs to an organization, the user is automatically added as an organization member if not already
- Restores any previously deleted workspaces for this user
Returns:
409 Conflictif already a collaborator204 No Contenton success
POST
/
repos
/
{repo_id}
/
invites
/
{invite_id}
/
accept
Accept a repository invitation
Authorizations
This API uses OAuth 2 with the implicit grant flow
Path Parameters
The repo ID of the repository. Repo name can be used instead of the ID, but usage of ID for permanent linking and API requests is preferred.
Required string length:
3 - 128Example:
"example_id"
Invite ID, as returned by a previous call
Example:
17
Response
Request completed successfully

